"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.CountryModalSelector = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _FlagImage = require("../FlagImage");

var _countries = _interopRequireDefault(require("../../data/countries.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const CountryModalSelector = _ref => {
  let {
    setModalVisible,
    modalVisible,
    setSelectedCountry,
    modalStyle
  } = _ref;

  const styles = _reactNative.StyleSheet.create({
    modalView: modalStyle,
    itemCountry: {
      paddingVertical: 15,
      flexDirection: 'row',
      alignItems: 'center',
      justifyContent: 'space-between'
    },
    countryCode: {
      fontSize: 20,
      marginLeft: 10
    },
    itemCountryText: {
      fontSize: 20,
      flex: 0.6
    },
    visualInformation: {
      flexDirection: 'row',
      flex: 0.3,
      alignItems: 'center'
    },
    line: {
      borderBottomColor: 'black',
      borderBottomWidth: _reactNative.StyleSheet.hairlineWidth
    },
    backgroundModal: {
      backgroundColor: '#9e9e9ea7',
      position: 'absolute',
      width: _reactNative.Dimensions.get('screen').width,
      height: _reactNative.Dimensions.get('screen').height
    },
    searchInput: {
      borderColor: '#9d9d9d',
      borderWidth: 2,
      padding: 10,
      borderRadius: 10,
      marginBottom: 20
    }
  });

  const [modalCountries, setCountries] = (0, _react.useState)(_countries.default);

  const searchCountry = countryName => {
    const countriesSearched = _countries.default.filter(country => country.country_name.includes(countryName));

    setCountries(countriesSearched);
  };

  (0, _react.useEffect)(() => {
    setCountries(_countries.default);
  }, [modalVisible]);

  const renderItem = item => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      key: item.id,
      onPress: () => {
        setModalVisible(false);
        setSelectedCountry(item.flag);
      }
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.itemCountry
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.visualInformation
    }, /*#__PURE__*/_react.default.createElement(_FlagImage.FlagImage, {
      flagCode: item.flag
    })), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: styles.itemCountryText
    }, item.country_name)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.line
    }));
  };

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.Modal, {
    animationType: "slide",
    transparent: true,
    visible: modalVisible,
    onRequestClose: () => setModalVisible(false)
  }, /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: styles.backgroundModal,
    onPress: () => setModalVisible(false)
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.modalView
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    style: styles.searchInput,
    onChangeText: searchCountry,
    placeholder: "search your country"
  }), /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, null, modalCountries.map(country => renderItem(country)))))));
};

exports.CountryModalSelector = CountryModalSelector;
var _default = CountryModalSelector;
exports.default = _default;
//# sourceMappingURL=index.js.map