"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.PhoneTextInput = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _flagValidator = require("../../helpers/flagValidator");

var _countries = _interopRequireDefault(require("../../data/countries.json"));

var _getCountryByPhone = require("src/helpers/getCountryByPhone");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const PhoneTextInput = _ref => {
  let {
    inputStyle,
    placeholder,
    returnKeyType,
    onBlur,
    onFocus,
    onChangeText,
    placeholderTextColor,
    textAlign,
    countryPhone,
    setcountryPhone,
    setSelectedCountry,
    setError,
    countrySelected
  } = _ref;

  const onChangecountryPhone = phone => {
    phone = phone.replace(/[^\d.+ ]/g, '');
    setSelectedCountry((0, _getCountryByPhone.getCountryByPhone)(phone));
    setcountryPhone(phone);
    !!onChangeText && onChangeText(phone);
  };

  const onBlurPhone = e => {
    var _possibleCountrie$, _possibleCountrie$2;

    const possibleCountrie = _countries.default.filter(country => {
      return countryPhone.startsWith(country.dialing_code);
    });

    if (!(0, _flagValidator.flagValidador)({
      number: countryPhone.replace(((_possibleCountrie$ = possibleCountrie[0]) === null || _possibleCountrie$ === void 0 ? void 0 : _possibleCountrie$.dialing_code) || '', '').trim(),
      countryCode: ((_possibleCountrie$2 = possibleCountrie[0]) === null || _possibleCountrie$2 === void 0 ? void 0 : _possibleCountrie$2.flag) || ''
    })) {
      var _countries$find;

      setError('err.not.valid.phone');
      setcountryPhone(((_countries$find = _countries.default.find(country => country.flag === countrySelected)) === null || _countries$find === void 0 ? void 0 : _countries$find.dialing_code) || '');
    }

    !!onBlur && onBlur(e);
  };

  const onFocusPhone = e => {
    setError('');
    !!onFocus && onFocus(e);
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    style: inputStyle,
    placeholder: placeholder,
    keyboardType: "phone-pad",
    returnKeyType: returnKeyType,
    onBlur: onBlurPhone,
    onFocus: onFocusPhone,
    onChangeText: onChangecountryPhone,
    placeholderTextColor: placeholderTextColor,
    textAlign: textAlign,
    value: countryPhone
  });
};

exports.PhoneTextInput = PhoneTextInput;
var _default = PhoneTextInput;
exports.default = _default;
//# sourceMappingURL=index.js.map