"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPhoneDefault = void 0;

var _countries = _interopRequireDefault(require("../data/countries.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getPhoneDefault = (defaultCountry, defaultValue) => {
  var _countries$find;

  if (!defaultCountry && defaultValue) {
    return defaultValue;
  }

  const dialogCode = ((_countries$find = _countries.default.find(country => country.flag === defaultCountry)) === null || _countries$find === void 0 ? void 0 : _countries$find.dialing_code) || '';

  if (!defaultValue) {
    return dialogCode;
  }

  return defaultValue;
};

exports.getPhoneDefault = getPhoneDefault;
//# sourceMappingURL=getPhoneDefault.js.map