"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.PhoneInput = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _FlagButton = require("./components/FlagButton");

var _CountryModalSelector = require("./components/CountryModalSelector");

var _PhoneTextInput = require("./components/PhoneTextInput");

var _getPhoneDefault = require("./helpers/getPhoneDefault");

var _getFlagDefault = require("./helpers/getFlagDefault");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const style = _reactNative.StyleSheet.create({
  defaultView: {
    flexDirection: 'row',
    alignItems: 'center',
    height: 50
  },
  defaulFlagStyle: {
    height: '100%',
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '#efecec',
    width: 50
  },
  errorStyle: {
    color: 'red',
    marginTop: 5
  },
  modalStyle: {
    backgroundColor: 'white',
    borderRadius: 30,
    padding: 20,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 4,
    elevation: 5,
    height: _reactNative.Dimensions.get('screen').height * 0.8,
    width: _reactNative.Dimensions.get('screen').width * 0.8,
    top: _reactNative.Dimensions.get('screen').height * 0.1,
    left: _reactNative.Dimensions.get('screen').width * 0.1
  }
});

const PhoneInput = _ref => {
  let {
    containerStyle = style.defaultView,
    inputStyle,
    placeholder,
    returnKeyType,
    onBlur,
    onFocus,
    onChangeText,
    placeholderTextColor,
    textAlign,
    defaultValue,
    flagSelectorStyle = style.defaulFlagStyle,
    defaultCountry = 'us',
    errorStyle = style.errorStyle,
    modalStyle = style.modalStyle
  } = _ref;
  const [modalVisible, setModalVisible] = (0, _react.useState)(false);
  const [countrySelected, setSelectedCountry] = (0, _react.useState)((0, _getFlagDefault.getFlagDefault)(defaultCountry, defaultValue));
  const [countryPhone, setcountryPhone] = (0, _react.useState)((0, _getPhoneDefault.getPhoneDefault)(defaultCountry, defaultValue));
  const [error, setError] = (0, _react.useState)('');

  const changeFlag = code => {
    setSelectedCountry(code);
    setcountryPhone((0, _getPhoneDefault.getPhoneDefault)(code, ''));
  };

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_CountryModalSelector.CountryModalSelector, {
    modalVisible: modalVisible,
    setModalVisible: setModalVisible,
    setSelectedCountry: changeFlag,
    modalStyle: modalStyle
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [containerStyle, style.defaultView]
  }, /*#__PURE__*/_react.default.createElement(_FlagButton.FlagButton, {
    flagSelectorStyle: flagSelectorStyle,
    setModalVisible: setModalVisible,
    countrySelected: countrySelected
  }), /*#__PURE__*/_react.default.createElement(_PhoneTextInput.PhoneTextInput, {
    inputStyle: inputStyle,
    placeholder: placeholder,
    returnKeyType: returnKeyType,
    onBlur: onBlur,
    onFocus: onFocus,
    onChangeText: onChangeText,
    placeholderTextColor: placeholderTextColor,
    textAlign: textAlign,
    countryPhone: countryPhone,
    setcountryPhone: setcountryPhone,
    setSelectedCountry: setSelectedCountry,
    setError: setError,
    countrySelected: countrySelected
  })), !!error && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: errorStyle
  }, error));
};

exports.PhoneInput = PhoneInput;
var _default = PhoneInput;
exports.default = _default;
//# sourceMappingURL=index.js.map