import React from 'react';
import { TextInput } from 'react-native';
import { flagValidador } from '../../helpers/flagValidator';
import countries from '../../data/countries.json';
import { getCountryByPhone } from 'src/helpers/getCountryByPhone';
export const PhoneTextInput = _ref => {
  let {
    inputStyle,
    placeholder,
    returnKeyType,
    onBlur,
    onFocus,
    onChangeText,
    placeholderTextColor,
    textAlign,
    countryPhone,
    setcountryPhone,
    setSelectedCountry,
    setError,
    countrySelected
  } = _ref;

  const onChangecountryPhone = phone => {
    phone = phone.replace(/[^\d.+ ]/g, '');
    setSelectedCountry(getCountryByPhone(phone));
    setcountryPhone(phone);
    !!onChangeText && onChangeText(phone);
  };

  const onBlurPhone = e => {
    var _possibleCountrie$, _possibleCountrie$2;

    const possibleCountrie = countries.filter(country => {
      return countryPhone.startsWith(country.dialing_code);
    });

    if (!flagValidador({
      number: countryPhone.replace(((_possibleCountrie$ = possibleCountrie[0]) === null || _possibleCountrie$ === void 0 ? void 0 : _possibleCountrie$.dialing_code) || '', '').trim(),
      countryCode: ((_possibleCountrie$2 = possibleCountrie[0]) === null || _possibleCountrie$2 === void 0 ? void 0 : _possibleCountrie$2.flag) || ''
    })) {
      var _countries$find;

      setError('err.not.valid.phone');
      setcountryPhone(((_countries$find = countries.find(country => country.flag === countrySelected)) === null || _countries$find === void 0 ? void 0 : _countries$find.dialing_code) || '');
    }

    !!onBlur && onBlur(e);
  };

  const onFocusPhone = e => {
    setError('');
    !!onFocus && onFocus(e);
  };

  return /*#__PURE__*/React.createElement(TextInput, {
    style: inputStyle,
    placeholder: placeholder,
    keyboardType: "phone-pad",
    returnKeyType: returnKeyType,
    onBlur: onBlurPhone,
    onFocus: onFocusPhone,
    onChangeText: onChangecountryPhone,
    placeholderTextColor: placeholderTextColor,
    textAlign: textAlign,
    value: countryPhone
  });
};
export default PhoneTextInput;
//# sourceMappingURL=index.js.map