import { ColorValue, NativeSyntheticEvent, ReturnKeyTypeOptions, StyleProp, TextInputFocusEventData, ViewStyle } from 'react-native';
interface PhoneTextInput {
    inputStyle?: StyleProp<ViewStyle>;
    placeholder?: string;
    returnKeyType?: ReturnKeyTypeOptions | undefined;
    onBlur?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    onFocus?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    onChangeText?: (text: string) => void;
    placeholderTextColor?: ColorValue;
    textAlign?: 'left' | 'center' | 'right' | undefined;
    countryPhone: string;
    setcountryPhone: (phone: string) => void;
    setSelectedCountry: (code: string) => void;
    setError: (error: string) => void;
    countrySelected: string;
    defaultValue?: string;
}
export declare const PhoneTextInput: ({ inputStyle, placeholder, returnKeyType, onBlur, onFocus, onChangeText, placeholderTextColor, textAlign, countryPhone, setcountryPhone, setSelectedCountry, setError, countrySelected, }: PhoneTextInput) => JSX.Element;
export default PhoneTextInput;
