import { StyleProp, ViewStyle, ReturnKeyTypeOptions, NativeSyntheticEvent, TextInputFocusEventData, ColorValue, TextStyle } from 'react-native';
interface PhoneInput {
    containerStyle?: StyleProp<ViewStyle>;
    inputStyle?: StyleProp<ViewStyle>;
    placeholder?: string;
    returnKeyType?: ReturnKeyTypeOptions;
    onBlur?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    onFocus?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    onChangeText?: (text: string) => void;
    placeholderTextColor?: ColorValue;
    textAlign?: 'left' | 'center' | 'right';
    flagSelectorStyle?: StyleProp<ViewStyle>;
    defaultCountry?: string | null;
    errorStyle?: StyleProp<TextStyle>;
    modalStyle?: ViewStyle;
    defaultValue?: string;
}
export declare const PhoneInput: ({ containerStyle, inputStyle, placeholder, returnKeyType, onBlur, onFocus, onChangeText, placeholderTextColor, textAlign, defaultValue, flagSelectorStyle, defaultCountry, errorStyle, modalStyle, }: PhoneInput) => JSX.Element;
export default PhoneInput;
